import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRNetworkCommissioningClusterThreadInterfaceScanResultStruct extends _NSObject {
    static alloc(): _MTRNetworkCommissioningClusterThreadInterfaceScanResultStruct;
    static new(): _MTRNetworkCommissioningClusterThreadInterfaceScanResultStruct;
    init(): _MTRNetworkCommissioningClusterThreadInterfaceScanResultStruct;
    panId(): _NSNumber;
    setPanId$(value: _NSNumber): void;
    extendedPanId(): _NSNumber;
    setExtendedPanId$(value: _NSNumber): void;
    networkName(): _NSString;
    setNetworkName$(value: _NSString): void;
    channel(): _NSNumber;
    setChannel$(value: _NSNumber): void;
    extendedAddress(): _NSData;
    setExtendedAddress$(value: _NSData): void;
    rssi(): _NSNumber;
    setRssi$(value: _NSNumber): void;
    lqi(): _NSNumber;
    setLqi$(value: _NSNumber): void;
}
export interface _MTRNetworkCommissioningClusterThreadInterfaceScanResultStruct extends _NSCopying {
}
